<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
  <title>פגישה 1 - מבוא לתכנות</title>
 
  <meta http-equiv="content-type"
 content="text/html; charset=UTF-8">
 
  <link href="lec.css" rel="stylesheet" type="text/css">
<link rel="contents" href="index.html"><link rel="top" href="index.html"><link rel="start" href="node1.html"><link rel="first" href="node1.html"><link rel="next" href="node12.html#h"><link rel="prev" href="node10.html#h">
</head>
<body>
  
גרסה 1.2
<h1>פגישה 1 - מבוא לתכנות</h1>
  <div class="nav" dir="ltr" align="right"><A HREF="index.html" NAME="h">[Top]</A> <A HREF="node1.html#h">[First]</A> <A HREF="node10.html#h">[Previous]</A> <A HREF="node12.html#h">[Next]</A></div><h3><a name="while_game"></a>תרגיל שני - משחק "כל-עוד"</h3>
                                 
<ul>
      <li>כדי להמחיש את הרעיונות שראינו עד כה, נשחק במשחק "כל-עוד".</li>
      <li>במשחק יש מספר שחקנים - אחראי הלולאה, אחראי המניה, והאביר שאומר
"ני!". ישנו גם המדריך.</li>
      <li>אחראי המניה יודע לזכור מספר נתון, להגדילו באחד, ולאמר את המספר שהוא
זוכר.</li>
      <li>אחראי הלולאה יודע לשאול את אחראי המניה מה המספר, ולפי גודלו להמשיך
בלולאה או לסיימה.</li>
      <li>האביר שאומר "ני!" יודע לאמר "ני!"</li>
      <li>המדריך יודע לעשות הכל (טוב, כמעט הכל).</li>
      <li>המשחק מתנהל כך:
        <ol>
          <li>המדריך רושם מספר על פתק, ונותן אותו לאחראי הלולאה.</li>
          <li>אחראי הלולאה בוחר את תנאי הלולאה, שכל עוד הוא מתקיים, מבצעים את
              הלולאה. את התנאי רושמים על הלוח.</li>
          <li>אחראי הלולאה אומר לאחראי המניה איזה מספר לזכור.</li>
          <li>אחראי הלולאה מבצע את הפעולות הבאות:
             <ol>
              <li>בודק את התנאי. אם הוא לא מתקיים - מסיימים.</li>
              <li>אומר לאביר שאומר "ני!" לאמר "ני!"</li>
              <li>אומר לאחראי המניה להוסיף אחד למספר שלו.</li>
              </ol>
          </li>
          <li>במהלך המשחק, הכיתה סופרת כמה פעמים אמרו "ני!"</li>
          <li>משווים למספר שרשם המדריך. אם המספרים זהים - התוכנית פעלה.</li>
          <li>אם המספרים אינם זהים - מנסים לחפש את התקלה.</li>
        </ol>
      </li>
</lu>
          
                   
<address><a href="http://validator.w3.org/check/referer"><img
 src="http://www.w3.org/Icons/valid-html401" alt="Valid HTML 4.01!"
 height="31" width="88">
 </a>נכתב על ידי <a href="mailto:choo@actcom.co.il">גיא קרן</a><br>
          </address>
                   
</body>
</html>
